Bug 171733 - boot lockup on IBM xSeries 345 (ServerWorks)
boot lockup on IBM xSeries 345 (ServerWorks)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-25 13:38 EDT by Charlie Bennett
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charlie Bennett 2005-10-25 13:38:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

This is an obscure case.

xSeries 345, pretty vanilla config (tg3, serverworks, MPT Fusion)

One CPU, kernel-smp installed

Version-Release number of selected component (if applicable):
kernel-smp-2.6.13-1.1532_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. install a FC4 2.6.13 kernel
2. modify grub.conf to specify maxcpus=1
3. attempt to boot
  

Actual Results:   system locks up hard during serverworks probe... sometimes probing serial ports, sometimes probing IDE

Expected Results:  the system should come up

Additional info:

Yes, this is a case of "doctor, it hurts when I do this" but in several racks of similar but not identical machines it helps to be able to configure the single and dual cpu machines identically.  We were setting maxcpus=1 while trying to track down the NFS client lockup reported in another bug.

The real question is: is this a symptom of a worse problem?

There is a work-around.  When I disable hyperthreading in the BIOS the system comes up.

So here's the scenario:

smp kernel
one CPU
maxcpus=1
HT enabled in BIOS

system boot hangs during device probes
Comment 1 Dave Jones 2005-11-05 03:13:28 EST

*** This bug has been marked as a duplicate of 169610 ***
Comment 2 Charlie Bennett 2005-11-05 16:33:42 EST
Nope, it's not an initrd problem.  The only issues is with attempting to set
MAXCPUS=1 on an SMP kernel on this platform when there's only one CPU in the
box.  Same initrd boots fine without MAXCPUS=1
Comment 3 Dave Jones 2005-11-10 14:43:38 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Dave Jones 2006-02-03 01:56:56 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-04 21:49:46 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.